% compile with lualatex to get fontspect to use True Type Font (ttf) 
\documentclass{article}
\usepackage{fp}
\usepackage{xcolor}
\usepackage{fontspec}
\setmainfont{Modern No. 20}

\newcommand{\margin}{0.25}
\newcommand{\width}{40}
\newcommand{\height}{22.25} % Found by fudging
\usepackage[paperheight=\height in,paperwidth=\width in, left = \margin in, top = \margin in, right = \margin in, bottom = \margin in]{geometry}
\usepackage{graphicx}

\newcommand{\ncol}{8}
% the 5.5 should be a 1.
% I don't know why I need the fudge factor of - 4.5 * \margin but there you have it
\FPeval{\figwidth}{((\width - (\ncol + 5.5) * \margin) / \ncol) / (\width - 2 * \margin)}
\FPeval{\marginwidth}{\margin / (\width - 2 * \margin)}
\FPeval{\firstlastcol}{\figwidth + 0.5 * \marginwidth}
\FPeval{\firstlastfig}{\figwidth/\firstlastcol}
\FPeval{\col}{\figwidth + \marginwidth}
\FPeval{\fig}{\figwidth/\col}


\newcommand{\plotfirst}[1]{
  \begin{minipage}{\firstlastcol\textwidth}
    \includegraphics[width=\firstlastfig\textwidth]{#1}
  \end{minipage}
}
\newcommand{\plotlast}[1]{
  \begin{minipage}{\firstlastcol\textwidth}
    \flushright
    \includegraphics[width=\firstlastfig\textwidth]{#1}
  \end{minipage}
}

\newcommand{\plotmid}[1]{
  \begin{minipage}{\col\textwidth}
    \centering
    \includegraphics[width=\fig\textwidth]{#1}
  \end{minipage}
}
\definecolor{doorstoregreen}{rgb}{0.34, 0.45, 0.38} 
\definecolor{doorstoregrey}{rgb}{0.55, 0.55, 0.6} 
\begin{document}%
\

%\pagecolor{doorstoregreen}

\plotfirst{graphics/01.jpg}
\plotmid{graphics/02.jpg}
\plotmid{graphics/03.jpg}
\plotmid{graphics/04.jpg}
\plotmid{graphics/05.jpg}
\plotmid{graphics/06.jpg}
\plotmid{graphics/07.jpg}
\plotlast{graphics/08.jpg}

\

\

\

\resizebox{0.99\textwidth}{!}{\color{doorstoregreen}THE DOOR STORE}

\

\

\

\plotfirst{graphics/09.jpg}
\plotmid{graphics/10.jpg}
\plotmid{graphics/11.jpg}
\plotmid{graphics/12.jpg}
\plotmid{graphics/13.jpg}
\plotmid{graphics/14.jpg}
\plotmid{graphics/15.jpg}
\plotlast{graphics/16.jpg}

\

\

\

\plotfirst{graphics/17.jpg}
\plotmid{graphics/18.jpg}
\plotmid{graphics/19.jpg}
\plotmid{graphics/20.jpg}
\plotmid{graphics/21.jpg}
\plotmid{graphics/22.jpg}
\plotmid{graphics/23.jpg}
\plotlast{graphics/24.jpg}

\end{document}
